Get resolved product for surface
curl --request GET \
--url https://app.alana.shopping/api/workspace/{workspaceId}/products/{productId}/surfaces/{surfaceKey} \
--header 'Authorization: Bearer <token>'{
"product": {
"universal": {},
"overrides": {},
"resolved": {},
"surface_key": "<string>",
"cached": true
}
}Get Product Surface
GET
/
api
/
workspace
/
{workspaceId}
/
products
/
{productId}
/
surfaces
/
{surfaceKey}
Get resolved product for surface
curl --request GET \
--url https://app.alana.shopping/api/workspace/{workspaceId}/products/{productId}/surfaces/{surfaceKey} \
--header 'Authorization: Bearer <token>'{
"product": {
"universal": {},
"overrides": {},
"resolved": {},
"surface_key": "<string>",
"cached": true
}
}Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Path Parameters
Pattern:
^[a-z][a-z0-9_]{1,48}[a-z0-9]$Response
Resolved product with surface overrides applied
Show child attributes
Show child attributes
Last modified on May 18, 2026
⌘I